| OpenCV 5.0.0alpha Open Source Computer Vision

Loading...
Searching...
No Matches
Public Types | Public Member Functions | List of all members
cv::parallel::ParallelForAPI Class Referenceabstract
Core functionality » Parallel Processing » Parallel backends API

`#include <opencv2/core/parallel/parallel_backend.hpp>`

Collaboration diagram for cv::parallel::ParallelForAPI:

## Public Types
typedef void(*) | FN_parallel_for_body_cb_t(int start, int end, void *data)

## Public Member Functions
virtual | ~ParallelForAPI ()
virtual const char * | getName () const =0
virtual int | getNumThreads () const =0
virtual int | getThreadNum () const =0
virtual void | parallel_for (int tasks, FN_parallel_for_body_cb_t body_callback, void *callback_data)=0
virtual int | setNumThreads (int nThreads)=0

## Detailed Description

Interface for parallel_for backends implementations

See also
  setParallelForBackend

## Member Typedef Documentation

## ◆ FN_parallel_for_body_cb_t

void(*) cv::parallel::ParallelForAPI::FN_parallel_for_body_cb_t(int start, int end, void *data)

## Constructor & Destructor Documentation

## ◆ ~ParallelForAPI()

virtual cv::parallel::ParallelForAPI::~ParallelForAPI | ( |  | ) |
| virtual

## Member Function Documentation

## ◆ getName()

virtual const char * cv::parallel::ParallelForAPI::getName | ( |  | ) | const
| pure virtual

Implemented in cv::parallel::openmp::ParallelForBackend, and cv::parallel::tbb::ParallelForBackend.

## ◆ getNumThreads()

virtual int cv::parallel::ParallelForAPI::getNumThreads | ( |  | ) | const
| pure virtual

Implemented in cv::parallel::openmp::ParallelForBackend, and cv::parallel::tbb::ParallelForBackend.

## ◆ getThreadNum()

virtual int cv::parallel::ParallelForAPI::getThreadNum | ( |  | ) | const
| pure virtual

Implemented in cv::parallel::openmp::ParallelForBackend, and cv::parallel::tbb::ParallelForBackend.

## ◆ parallel_for()

virtual void cv::parallel::ParallelForAPI::parallel_for | ( | int | tasks,
|  | FN_parallel_for_body_cb_t | body_callback,
|  | void * | callback_data )
| pure virtual

Implemented in cv::parallel::openmp::ParallelForBackend, and cv::parallel::tbb::ParallelForBackend.

## ◆ setNumThreads()

virtual int cv::parallel::ParallelForAPI::setNumThreads | ( | int | nThreads | ) |
| pure virtual

Implemented in cv::parallel::openmp::ParallelForBackend, and cv::parallel::tbb::ParallelForBackend.

The documentation for this class was generated from the following file:

- opencv2/core/parallel/parallel_backend.hpp